Summary: An email client for GNOME.
Name:      balsa
Version:   1.2.3
Release:   1
Copyright: GPL
Group: Applications/Internet
Source0:   http://www.theochem.kth.se/~pawsa/balsa/balsa-%{version}.tar.bz2
Patch0:    rpm-po.patch
Patch1:	   balsa-broken-flock.patch
Patch2:    balsa-1.2.0-sounds.patch
Patch3:    balsa-1.2.0-krb5.patch
Patch5:    balsa-1.2.1-spoolbox.patch
Patch6:    balsa-1.2.2-nogendocs.patch
Patch7:    balsa-1.2.1-defaultfont.patch
URL:       http://www.balsa.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+-devel >= 1.2.0 , gnome-libs-devel >= 1.2.0
BuildRequires: libesmtp-devel >= 0.7.1, pspell-devel, krb5-devel, openssl-devel
BuildRequires: gtkhtml-devel, gnome-print-devel, openldap-devel
%define __spec_install_post /usr/lib/rpm/brp-compress || :
Requires: gtk+ >= 1.2.0
Requires: gnome-libs >= 1.2.0

%description
Balsa is a GNOME email client which supports mbox, maildir, and mh
local mailboxes, and IMAP4 and POP3 remote mailboxes. Email can be
sent via sendmail or SMTP. Optional multithreading support allows for
non-intrusive retrieval and sending of mail. A finished GUI similar to
that of the Eudora email client supports viewing images inline, saving
message parts, viewing headers, adding attachments, moving messages,
and printing messages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
#%patch7 -p1
autoconf
cd libmutt
autoconf

%build
%configure --disable-threads --disable-system-install --disable-more-warnings \
 --with-gss=/usr/kerberos --with-ssl --enable-gtkhtml --enable-ldap  \
 --disable-flock --enable-fcntl

make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/usr/share/sounds/balsa/*
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs
%{_bindir}/balsa
%{_datadir}/gnome/apps/Internet/balsa.desktop
%{_datadir}/gnome/help/balsa
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/pixmaps/balsa
%{_datadir}/sounds/balsa
%{_mandir}/*/*
%config %{_sysconfdir}/sound/events/*


%changelog
* Tue Nov  6 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.3

* Wed Oct 31 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.2

* Sun Oct 21 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.1
- fix crash on some usages of settings->customize
- allow setup to continue even if spool mailbox couldn't be created (#23191, #46898)
- change default font (#54704)

* Wed Oct  3 2001 Bill Nottingham <notting@redhat.com>
- don't generate docs; ship already generated ones (#51970)

* Fri Sep 21 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.0

* Tue Aug 14 2001 Bill Nottingham <notting@redhat.com>
- fix noise (#51763)

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- disable threads (appears to fix #51705)
- fix default English language :)

* Wed Jul 24 2001 Bill Nottingham <notting@redhat.com>
- rebuild (openssl weirdness)

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- update to 1.1.7

* Mon Apr 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Rebuild for pspell

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- update to 1.1.1, clean up source tarball

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- update to 1.1.0

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- rebuilt against libgnomeprint11

* Tue Dec 19 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild against old gnome-print

* Fri Dec 08 2000 Bill Nottingham <notting@redhat.com>
- rebuild against new gnome-print

* Fri Dec  1 2000 Bill Nottingham <notting@redhat.com>
- bump release, enable ldap, move to base distro

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Sun Nov 12 2000 Tim Powers <timp@redhat.com>
- update to 1.0

* Wed Sep 6 2000 Tim Powers <timp@redhat.com>
- remove redundant defines at top of spec file
- Add BuildRequires
- removed Docdir from being defined explicitely
- quiet setup
- use %%configure, it will properly define the --prefix etc. via RPM 4.0
- patch before we get to the build section, patch copied from tarball
- cleaned up files section so that we use predefined macros so that if a dir
  should change in RPM, a rebuild is all that's needed.
- initial build for Powertools

* Tue Aug 15 2000 Pawel Salek <pawsa@theochem.kth.se>

- added --disable-more-warning option - libmutt configure fails without it.

* Thu Jun  1 2000 Peter Williams <peter@newton.cx>

- Don't try to install IDL stuff as we have deleted it :-)

* Thu Dec 30 1999 Bruno Pires Marinho <bapm@camoes.rnl.ist.utl.pt>

- Improved the spec file by adding a sysconfdir=/etc, removing the man
  instalation because balsa does it now and adding the files on the /etc
  to the distribution

* Tue Oct  5 1999 Jan Nieuwenhuizen <janneke@gnu.org>

- Fixed man install

* Sun Sep 26 1999 Stuart Parmenter <pavlov@balsa.net>

- Updated to version 0.5.0

* Mon Dec 14 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.8.

* Sun Sep 09 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.7.

* Sun Aug 23 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.5.

* Mon Aug  3 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.0.

* Sun Jul 26 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated RPM file to reflect recent changes with the
  removal of c-client.

* Thu Apr 02 1998 Michael Fulbright <msf@redhat.com>

- First try at an RPM
